Page MenuHomePhabricator

Change Squid references in Wikimedia configuration files
Closed, ResolvedPublic

Description

Configuration files currently use squid, but we should move to a more generic name to encompass Varnish and similar caching infrastructure.

#######################################################################
# Squid Configuration
#######################################################################

if ( $wmgUseClusterSquid ) {
    $wgUseSquid = true;
    $wgUseESI   = false;

    require( getRealmSpecificFilename( "$wmfConfigDir/squid.php" ) );
}

Files currently contains information about:

  • Multicast HTCP purging
  • the list of proxies allowed for X-Forwarded-For requests
  • $wgCdnReboundPurgeDelay - CDN purge configuration

Event Timeline

Matanya created this task.Jun 28 2015, 10:12 PM
Matanya raised the priority of this task from to Needs Triage.
Matanya updated the task description. (Show Details)
Matanya added a subscriber: Matanya.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2015, 10:12 PM
hoo closed this task as Declined.Jun 28 2015, 10:14 PM
hoo claimed this task.
hoo added a subscriber: hoo.

We run varnish now and still need the XFF configuration.

So we should rename that to clarify this.

MZMcBride renamed this task from Do we need Squid configuration? to Change Squid references in Wikimedia configuration files.Jun 29 2015, 3:03 AM
MZMcBride reopened this task as Open.
MZMcBride removed hoo as the assignee of this task.
MZMcBride triaged this task as Lowest priority.
MZMcBride set Security to None.
MZMcBride added a subscriber: MZMcBride.

So we should rename that to clarify this.

I agree. We should either change the name to be more accurate (e.g., $wmgUseClusterVarnish) or to be less precise (e.g., $wmgUseClusterCaching).

Reedy added a subscriber: Reedy.Jun 29 2015, 3:16 AM

I'm not sure I approve of renaming squid.php to cache.php (it's too vague; what sort of cache?), but there's certainly got to be a better name out there

Dereckson updated the task description. (Show Details)Sep 9 2016, 2:47 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptSep 9 2016, 2:47 AM
Dereckson added subscribers: aaron, Dereckson.EditedSep 9 2016, 2:47 AM

Perhaps ReverseProxy.php.

@aaron Would you have a suggestion for an ideal name?

Dereckson updated the task description. (Show Details)Sep 9 2016, 2:48 AM

I've prepared a patch with ReverseProxy.php.

CachingProxy.php could also be interesting.

Change 309742 had a related patch set uploaded (by Dereckson):
Cleanup: squid.php → ReverseProxy.php

https://gerrit.wikimedia.org/r/309742

CdnCacheSettings.php?

Change 309742 abandoned by Chad:
Cleanup: squid.php → ReverseProxy.php

Reason:
Abandoning all config changes > 1y old

https://gerrit.wikimedia.org/r/309742

Change 309742 restored by Dzahn:
Cleanup: squid.php → ReverseProxy.php

https://gerrit.wikimedia.org/r/309742

Change 376337 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/mediawiki-config@master] copy squid.php->reverse-proxy.php, squid-labs->reverse-proxy-staging

https://gerrit.wikimedia.org/r/376337

Change 309742 abandoned by Dzahn:
Cleanup: squid.php → ReverseProxy.php

Reason:
sorry, trying it here instead now, pt.1 https://gerrit.wikimedia.org/r/#/c/376337/

https://gerrit.wikimedia.org/r/309742

EddieGP removed a subscriber: EddieGP.Sep 25 2017, 10:54 PM
Restricted Application added a subscriber: Jayprakash12345. · View Herald TranscriptSep 25 2017, 10:54 PM

Change 376337 merged by jenkins-bot:
[operations/mediawiki-config@master] copy squid.php->reverse-proxy.php, squid-labs->reverse-proxy-staging

https://gerrit.wikimedia.org/r/376337

Mentioned in SAL (#wikimedia-operations) [2017-09-28T18:25:22Z] <thcipriani@tin> Synchronized wmf-config: SWAT: [[gerrit:376337|copy squid.php->reverse-proxy.php, squid-labs->reverse-proxy-staging]] T104148 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2017-09-28T18:26:52Z] <thcipriani@tin> Synchronized docroot/noc: SWAT: [[gerrit:376337|copy squid.php->reverse-proxy.php, squid-labs->reverse-proxy-staging]] PART II T104148 (duration: 00m 49s)

Change 384193 had a related patch set uploaded (by Chad; owner: Chad):
[operations/mediawiki-config@master] Stop copy pasting squid/reverse proxy settings

https://gerrit.wikimedia.org/r/384193

Change 384193 merged by jenkins-bot:
[operations/mediawiki-config@master] Get rid of squid-file-labs in favor of new reverse-proxy-staging

https://gerrit.wikimedia.org/r/384193

Change 387832 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Get rid of squid.php in favor of new reverse-proxy.php

https://gerrit.wikimedia.org/r/387832

So do we also want to genericise the names of the config variables in MW itself?

  • $wgUseSquid -> $wgUseCdn
  • $wgSquidMaxage -> $wgCdnMaxAge
  • $wgSquidServers -> $wgCdnServers
  • $wgSquidServersNoPurge -> $wgCdnServersNoPurge
  • $wgSquidPurgeUseHostHeader -> $wgCdnPurgeUseHostHeader

(We already have $wgCdnMaxageLagged, $wgCdnReboundPurgeDelay, $wgCdnReboundPurgeDelay, …)

Change 387832 merged by jenkins-bot:
[operations/mediawiki-config@master] Get rid of squid.php in favor of new reverse-proxy.php

https://gerrit.wikimedia.org/r/387832

Change 387877 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] [WIP] Rename CDN config variables to be generic, deprecating the old names

https://gerrit.wikimedia.org/r/387877

Reedy added a comment.Nov 1 2017, 10:52 PM

So do we also want to genericise the names of the config variables in MW itself?

Thanks for doing a patch. Of course, cleaning things up whilst we go through/can always makes sense. Otherwise it's another blocker/hurdle to removing them once deprecated from MW core. If they're already gone from mw-config, that's one less thing we need to fix later

Change 496847 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Duplicate …Squid variables into …Cdn ahead of MW renaming

https://gerrit.wikimedia.org/r/496847

Change 496850 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] De-dplicate …Squid variables now MW only uses the …Cdn ones

https://gerrit.wikimedia.org/r/496850

Change 387877 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Rename CDN config variables to be generic, deprecating the old names

https://gerrit.wikimedia.org/r/387877

Change 496850 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] De-duplicate …Squid variables now MW only uses the …Cdn ones

https://gerrit.wikimedia.org/r/496850

Change 496847 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Duplicate …Squid variables into …Cdn ahead of MW renaming

https://gerrit.wikimedia.org/r/496847

Change 496847 merged by jenkins-bot:
[operations/mediawiki-config@master] Duplicate …Squid variables into …Cdn ahead of MW renaming

https://gerrit.wikimedia.org/r/496847

Mentioned in SAL (#wikimedia-operations) [2019-05-23T22:23:28Z] <jforrester@deploy1001> Synchronized wmf-config/reverse-proxy.php: T104148 Duplicate …Squid variables into …Cdn ahead of MW renaming, part 1 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2019-05-23T22:24:36Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T104148 Duplicate …Squid variables into …Cdn ahead of MW renaming, part 2 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2019-05-23T22:25:44Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T104148 Duplicate …Squid variables into …Cdn ahead of MW renaming, part 3 (duration: 00m 47s)

Change 387877 merged by jenkins-bot:
[mediawiki/core@master] Rename CDN config variables to be generic, deprecating the old names

https://gerrit.wikimedia.org/r/387877

Change 496850 merged by jenkins-bot:
[operations/mediawiki-config@master] De-duplicate …Squid variables now MW only uses the …Cdn ones

https://gerrit.wikimedia.org/r/496850